version: '3.3'
services:

  web:
    build: ./carrito
    command: bash -c "python manage.py makemigrations &&
                      python manage.py migrate &&
                      python manage.py runserver 0.0.0.0:8000"
    volumes:
      - ./fixtures:/tmp/fixtures
      - ./carrito:/app
    restart: always
    env_file:
      - ./.env.dev
    ports:
      - 8000:8000
    depends_on:
      - db

  test:
    build: ./carrito
    command: bash -c "python manage.py makemigrations &&
                      python manage.py migrate &&
                      coverage run -m pytest -p no:warnings"
    volumes:
      - ./fixtures:/tmp/fixtures
    env_file:
      - ./.env.dev
    ports:
      - 800:800
    depends_on:
      - db

  db:
    image: postgres:15.1
    volumes:
      - db:/var/lib/postgresql/data
      - ./init_readonly_user.sh:/docker-entrypoint-initdb.d/init_readonly_user.sh
    ports:
        - 5433:5432
    restart: always
    env_file:
      - ./.env.dev
    environment:
      - POSTGRES_PASSWORD=postgres


volumes:    
    db:
      driver: local
